.popup-bar { position: fixed; left: 50%; top: 50%; z-index: 1002; transform: translate(-50%, -50%); width: 16rem; background-color: #fff; border-radius: .8rem; overflow: hidden; text-align: center; transition: transform .2s linear; display: block; }

.popup-bar .pop-close { position: absolute; top: .5rem; right: .5rem; z-index: 10; width: 1rem; height: 1rem; line-height: 1rem; font-size: 1.15rem; color: #ccc; }

.popup-bar .pop-close .iconfont { font-size: .6rem; color: #ccc; }

.popup-bar.popup-show { animation: scale .2s linear forwards; }

.popup-bar.popup-msg, .popup-box.popup-msg .popup-bar { width: auto; }

@keyframes scale { 0% { opacity: 0;
    transform: translateX(-50%) translateY(-50%) scale(0.8); }
  100% { opacity: 1;
    transform: translateX(-50%) translateY(-50%) scale(1); } }

.popup-box { position: fixed; left: 0; top: 0; z-index: 1002; width: 100%; height: 100%; }

.popup-box.popup-show .popup-bar { animation: scale .2s linear forwards; }

.popup-box .bg { position: absolute; left: 0; top: 0; z-index: 1; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.5); }

.popup-box .popup-bar { position: absolute; z-index: 2; }

.popup-box.popup-msg, .popup-box.popup-msg .popup-box.popup-bar { padding: 0; background: none; }

.popup-box.popup-msg .popup-bar { width: auto; }

.popup-msg, .popup-bar.popup-msg, .popup-box.popup-msg .popup-bar { padding: .5rem 1rem; background-color: rgba(0, 0, 0, 0.7); border-radius: .2rem; font-size: .7rem; color: #fff; text-align: center; white-space: nowrap; }

.popup-msg .iconfont, .popup-box.popup-msg .popup-bar .iconfont { font-size: 1.8rem; margin: .5rem; }

/* loading */
.icon-loading { display: inline-block; vertical-align: middle; font-size: 1rem; margin-top: -0.1rem; animation: spin 1.5s cubic-bezier(0.49, 0.68, 0.91, 0.73) infinite; }

@-webkit-keyframes spin { 0% { -webkit-transform: rotate(0deg);
    transform: rotate(0deg); }
  100% { -webkit-transform: rotate(359deg);
    transform: rotate(359deg); } }

@keyframes spin { 0% { -webkit-transform: rotate(0deg);
    transform: rotate(0deg); }
  100% { -webkit-transform: rotate(359deg);
    transform: rotate(359deg); } }

.popup-confirm .top-img { display: block; width: 100%; border-radius: .8rem .8rem 0rem 0rem; }

.popup-confirm .conts-box { padding: 1.1rem 1rem .5rem; }

.popup-confirm .conts-box .pop-title { font-size: .8rem; line-height: 1.2rem; font-weight: 700; }

.popup-confirm .conts-box .pop-conts { padding-top: .25rem; font-size: .7rem; color: #666; position: relative; }

.popup-confirm .conts-box .pop-conts .scroll-bar { max-height: 50vh; overflow-y: auto; }

.popup-confirm .conts-box .pop-conts iframe { width: 100%; height: 60vh; border: none; }

.popup-confirm .btn-group { position: relative; display: flex; height: 2.4rem; }

.popup-confirm .btn-group:after { position: absolute; left: 0; top: 0; right: 0; content: ''; height: 1px; background-color: #e8e8e8; transform: scaleY(0.5); }

.popup-confirm .btn-group .u-btn { flex: 1; font-size: .8rem; line-height: 2.4rem; height: 2.4rem; text-align: center; position: relative; border-radius: 0; border: none; }

.popup-confirm .btn-group .u-btn:after { position: absolute; top: 0; right: 0; bottom: 0; content: ''; width: 1px; background-color: #e8e8e8; transform: scaleX(0.5); }

.popup-confirm .btn-group .u-btn:last-child:after { width: 0; }

.popup-confirm .btn-group.btn-group-extr { display: block; padding: 0 1.2rem .5rem; position: static; height: auto; overflow: hidden; }

.popup-confirm .btn-group.btn-group-extr:after { position: static; }

.popup-confirm .btn-group.btn-group-extr .u-btn { flex: none; display: block; width: 100%; height: 2rem; line-height: 2rem; border-radius: 1rem; }

.popup-confirm .btn-group.btn-group-extr .u-btn:after { width: 0; }

.popup-bottom-bar .popup-bar { top: auto; left: 0; right: 0; bottom: 0; transform: translate(0, 100%); width: 100%; padding: 1.5rem 1rem; border-radius: .4rem .4rem 0 0; }

.popup-bottom-bar .popup-bar .pop-close { top: 1.7rem; right: .8rem; }

.popup-bottom-bar .pop-title { height: 1.4rem; line-height: 1.4rem; font-size: .9rem; font-weight: 700; text-align: left; }

.popup-bottom-bar.popup-show .popup-bar { transform: translate(0, 0); }

.popup-payment .pay-list { padding: 1rem .9rem 0; }

.popup-payment .pay-list .u-btn { display: block; width: 100%; height: 2.4rem; border-radius: 1.2rem; margin-top: .5rem; font-size: .9rem; line-height: 2.4rem; text-align: center; }

.popup-payment .pay-list .u-btn .iconfont { font-size: 1rem; margin: -0.1rem .5rem 0 0; }

.popup-payment .pay-list .u-btn .icon-wechatpay { color: #fff; }

.popup-payment .pay-list .act-wechatpay { background-color: #11bb65; border-color: #11bb65; color: #fff; }

.popup-payment .safe { font-size: .6rem; color: #bbb; text-align: center; margin-top: 1.5rem; }

.popup-payment .safe .iconfont { font-size: .7rem; margin-right: .3rem; }

.popup-payment .deal { font-size: .6rem; color: #666; text-align: center; margin-top: .3rem; }
